TICKIT_TERM_CHPEN(3)

NAME
tickit_term_chpen, tickit_term_setpen - set rendering attributes of the terminal

SYNOPSIS
    #include <tickit.h>

    void tickit_term_chpen(TickitTerm *tt, TickitPen *pen);
    void tickit_term_setpen(TickitTerm *tt, TickitPen *pen);

Link with -ltickit.

DESCRIPTION
tickit_term_chpen() changes the rendering attributes currently in effect in the terminal by setting those attributes specified in the given TickitPen instance. Attributes not present in pen remain unmodified by this operation.

tickit_term_setpen() changes the rendering attributes currently in effect in the terminal by setting all of the attributes to those given in the TickitPen instance. Any attribute not present in pen is reset back to its default value.

If the foreground or background colour is set to an index higher than the terminal can support, it will be converted to the best choice that is available from the palette of 8 or 16 colors.

RETURN VALUE
tickit_term_chpen() and tickit_term_setpen() return no value.

SEE ALSO
tickit_term_build(3), tickit_term_goto(3), tickit_term_print(3), tickit_term(7), tickit_pen(7), tickit(7)